- Home
- API Enriched
- Shape
- shape
- List Network Interactions By Script.
List Network Interactions By Script.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/networkInteractions';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/networkInteractions \ --header 'Authorization: <Authorization>'List all the network interactions for a script depending on start time and end time.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
ID script ID.
Query Parameters
Section titled “Query Parameters”X-required format: unix epoch timestamp in seconds fetch network interactions whose timestamp >= start_time.
X-required format: unix epoch timestamp in seconds fetch network interactions whose timestamp <= end_time.
Responses
Section titled “Responses”A successful response.
Response to list network interactions by script.
object
List of network interactions depending upon time filter.
Network interaction information by script.
object
Format: unix epoch timestamp in milliseconds First seen time.
Format: unix epoch timestamp in milliseconds Last seen time.
Name of the domain.
Risk level of the script.
Status of the domain.
Total size of scripts.
Examplegenerated
{ "network_interactions": [ { "first_seen": "example", "last_seen": "example", "name": "example", "risk_level": "example", "status": "example" } ], "total_size": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example